org.osgi.framework.BundleException: Unable to resolve io.lambdacube.osgi.sigar [31](R 31.0): missing requirement [io.lambdacube.osgi.sigar [31](R 31.0)] osgi.native; (|(&(osgi.native.osname~=linux)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=linux)(osgi.native.processor~=x86))(&(osgi.native.osname~=solaris)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=macosx)(|(osgi.native.processor~=x86)(osgi.native.processor~=x86_64)))) Unresolved requirements: [[io.lambdacube.osgi.sigar [31](R 31.0)] osgi.native; (|(&(osgi.native.osname~=linux)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=linux)(osgi.native.processor~=x86))(&(osgi.native.osname~=solaris)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=macosx)(|(osgi.native.processor~=x86)(osgi.native.processor~=x86_64))))]

Stack Overflow | Peter Penzov | 10 months ago
tip
Do you know that we can give you better hits? Get more relevant results from Samebug’s stack trace search.
  1. 0

    Embed SIGAR .so and .dll files into OSGI bundle

    Stack Overflow | 10 months ago | Peter Penzov
    org.osgi.framework.BundleException: Unable to resolve io.lambdacube.osgi.sigar [31](R 31.0): missing requirement [io.lambdacube.osgi.sigar [31](R 31.0)] osgi.native; (|(&(osgi.native.osname~=linux)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=linux)(osgi.native.processor~=x86))(&(osgi.native.osname~=solaris)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=macosx)(|(osgi.native.processor~=x86)(osgi.native.processor~=x86_64)))) Unresolved requirements: [[io.lambdacube.osgi.sigar [31](R 31.0)] osgi.native; (|(&(osgi.native.osname~=linux)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=linux)(osgi.native.processor~=x86))(&(osgi.native.osname~=solaris)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=macosx)(|(osgi.native.processor~=x86)(osgi.native.processor~=x86_64))))]
  2. 0

    Karaf / Maven missing requirement osgi.wiring.package; (osgi.wiring.package=javax.annotation.meta)

    Stack Overflow | 1 year ago | user3612253
    org.apache.karaf.shell.support.MultiException: Error executing command on bundles: Error starting bundle137: Unable to resolve HazelcastArtifact [137](R 137.1313): missing requirement [HazelcastArtifact [137](R 137.1313)] osgi.wiring.package; (osgi.wiring.package=javax.annotation.meta) Unresolved requirements: [[HazelcastArtifact [137](R 137.1313)] osgi.wiring.package; (osgi.wiring.package=javax.annotation.meta)]
  3. 0

    GlassFish 4.1.1 and Apache Felix 5.4.0

    Stack Overflow | 11 months ago | JimJim2000
    org.osgi.framework.BundleException: Unable to resolve com.temp [248](R 248.0): missing requirement [com.temp [248](R 248.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.8.0)(!(version>=2.0.0))) Unresolved requirements: [[com.temp [248](R 248.0)] osgi.wiring.package; (&(osgi.wiring.package=org.osgi.framework)(version>=1.8.0)(!(version>=2.0.0)))]
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    ServiceMix - Unresolved requirements for Qpid

    Stack Overflow | 2 weeks ago | Jason Stanley
    org.osgi.framework.BundleException: Unable to resolve qpid-routes-iv.xml [233](R 233.1): missing requirement [qpid-routes-iv.xml [233](R 233.1)] osgi.wiring.package; (osgi.wiring.package=org.apache.camel.component.amqp) Unresolved requirements: [[qpid-routes-iv.xml [233](R 233.1)] osgi.wiring.package; (osgi.wiring.package=org.apache.camel.component.amqp)]
  6. 0

    Error while osgi-fying existing webservice war

    Stack Overflow | 4 years ago | ImranRazaKhan
    org.osgi.framework.BundleException: Unresolved constraint in bundle HelloCxfWS [292]: Unable to resolve 292.0: missing requirement [292.0] osgi.wiring.package; (osgi.wiring.package=org.apache.servicemix.cxf.transport.http_cxf)

  1. davidvanlaatum 28 times, last 7 months ago
15 unregistered visitors
Not finding the right solution?
Take a tour to get the most out of Samebug.

Tired of useless tips?

Automated exception search integrated into your IDE

Root Cause Analysis

  1. org.osgi.framework.BundleException

    Unable to resolve io.lambdacube.osgi.sigar [31](R 31.0): missing requirement [io.lambdacube.osgi.sigar [31](R 31.0)] osgi.native; (|(&(osgi.native.osname~=linux)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=linux)(osgi.native.processor~=x86))(&(osgi.native.osname~=solaris)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=macosx)(|(osgi.native.processor~=x86)(osgi.native.processor~=x86_64)))) Unresolved requirements: [[io.lambdacube.osgi.sigar [31](R 31.0)] osgi.native; (|(&(osgi.native.osname~=linux)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=linux)(osgi.native.processor~=x86))(&(osgi.native.osname~=solaris)(osgi.native.processor~=x86_64))(&(osgi.native.osname~=macosx)(|(osgi.native.processor~=x86)(osgi.native.processor~=x86_64))))]

    at org.apache.felix.framework.Felix.resolveBundleRevision()
  2. Apache Felix Framework
    BundleImpl.start
    1. org.apache.felix.framework.Felix.resolveBundleRevision(Felix.java:4111)[org.apache.felix.framework-5.4.0.jar:]
    2. org.apache.felix.framework.Felix.startBundle(Felix.java:2117)[org.apache.felix.framework-5.4.0.jar:]
    3. org.apache.felix.framework.BundleImpl.start(BundleImpl.java:998)[org.apache.felix.framework-5.4.0.jar:]
    3 frames